NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.View Class Reference

Represents a view. More...

Inheritance diagram for NXOpen.View:
NXOpen.NXObject NXOpen.INXObject NXOpen.Drawings.DraftingView NXOpen.ModelingView NXOpen.Drawings.BaseView NXOpen.Drawings.DetailView NXOpen.Drawings.DrawingView NXOpen.Drawings.ProjectedView NXOpen.Drawings.SectionView NXOpen.Annotations.LightweightSectionView NXOpen.Annotations.SearchModelView NXOpen.CutView

Public Types

enum  Canned {
  Top, Front, Right, Back,
  Bottom, Left, Isometric, Trimetric
}
 Describes a simplified indexing scheme for accessing canned views with interfaces that use this enum as a parameter. More...
 
enum  ScaleFactor { HalfScale, DoubleScale, ReduceScale, IncreaseScale }
 Describes the relative scales to which a view can be set More...
 
enum  ScaleAdjustment { Fit, Current, Saved }
 Describes simple, predefined adjustments that may be applied to a view's scale while another operation is performed, in conjunction, on the view. More...
 
enum  RenderingStyleType {
  ShadedWithEdges, ShadedWithBodyColorEdges, Shaded, WireframeWithDimEdges,
  WireframeWithHiddenEdges, WireframeWithDashedEdges, Studio, FaceAnalysis,
  PartiallyShaded, StaticWireframe
}
 Describes the rendering style for geometry displayed in the view. More...
 
enum  ShowOrHideType { ShowOnly, HideOnly, BothShowAndHide, InvertShownAndHidden }
 Specifies whether a show or hide operation, or both, has just been done More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe void Concatenate (NXOpen.Point3d translation)
 Concatenates the given translation with the previous viewing transformation of the specified view. More...
 
unsafe void Concatenate (double scale)
 Concatenates the given scale with the previous viewing transformation of the specified view. More...
 
unsafe void Concatenate (NXOpen.Point3d translation, double scale)
 Concatenates the given translation and scale with the previous viewing transformation of the specified view. More...
 
unsafe void Concatenate (NXOpen.Point3d centerOfRotation, NXOpen.Vector3d rotationAxis, double angle)
 Concatenates the given rotation with the previous viewing transformation of the specified view. More...
 
unsafe void Concatenate (NXOpen.Point3d translation, NXOpen.Point3d centerOfRotation, NXOpen.Vector3d rotationAxis, double angle)
 Concatenates the given translation and rotation with the previous viewing transformation of the specified view. More...
 
unsafe void Concatenate (double scale, NXOpen.Point3d centerOfRotation, NXOpen.Vector3d rotationAxis, double angle)
 Concatenates the given scale and rotation with the previous viewing transformation of the specified view. More...
 
unsafe void Concatenate (NXOpen.Point3d translation, double scale, NXOpen.Point3d centerOfRotation, NXOpen.Vector3d rotationAxis, double angle)
 Concatenates the given translation, scale and rotation with the previous viewing transformation of the specified view. More...
 
unsafe void Expand ()
 Expands the specified view to fill as much of the layout which contains the view as possible, without changing the aspect ratio of the view. More...
 
unsafe void Fit ()
 Adjusts the bounds of a given view so that it fully encompasses the extents of the model geometry. More...
 
unsafe void FitAfterShowOrHide (NXOpen.View.ShowOrHideType type)
 Adjusts the bounds of a given view conditionally so that it fully encompasses the extents of the model geometry. More...
 
unsafe void FitToObjects (NXOpen.IFitTo[] objects)
 Adjusts the bounds of a given view so that it fully encompasses the extents of the given objects. More...
 
unsafe double GetExpandedScale ()
 Returns the view scale, including any expansion factor. More...
 
unsafe NXOpen.Vector3d GetAxis (NXOpen.XYZAxis xYZAxis)
 Returns one of the view axes. More...
 
unsafe void MakeWork ()
 Makes the given view the work view. More...
 
unsafe void Orient (NXOpen.Matrix3x3 matrix)
 Changes the view orientation relative to the specified absolute coordinate system. More...
 
unsafe void Orient (NXOpen.View.Canned viewName, NXOpen.View.ScaleAdjustment viewScale)
 Changes the view orientation to a specified canned view. More...
 
unsafe void Orient (string viewName, NXOpen.View.ScaleAdjustment viewScale)
 Changes the view orientation to a specified view. More...
 
unsafe void Regenerate ()
 Regenerates the display of given view. More...
 
unsafe bool Restore ()
 Restores a view to its last remembered rotation, scale and translation. More...
 
unsafe void Rotate (NXOpen.Matrix3x3 matrix)
 Rotates the view by concatenating the given matrix to the existing rotation matrix of the view. More...
 
unsafe void Rotate (NXOpen.Point3d origin, NXOpen.Vector3d vector, double angle)
 Rotates the specified view using the specified origin of rotation and about the specified axis. More...
 
unsafe void SetOrigin (NXOpen.Point3d origin)
 Moves the given position to the center of the view. More...
 
unsafe void SetScale (double scale)
 Sets the scale of the specified view to the desired scale factor. More...
 
unsafe void SetRotationTranslationScale (NXOpen.Matrix3x3 rotMatrix, NXOpen.Point3d translation, double scale)
 Sets the rotation, translation and scale of the specified view. More...
 
unsafe void SnapToClosestCannedOrientation ()
 Changes the orientation of the given view to the orientation of the canned view whose orientation is the closest to that of the given view. More...
 
unsafe void SnapToVariantCannedOrientation ()
 Similar to NXOpen.View.SnapToClosestCannedOrientation except it changes the orientation of the given view to the orientation of some canned view "variant" based on I-deas's 'snapview' logic whose orientation is the closest to one of the six orthographic and eight flavors of trimetric views. More...
 
unsafe void UpdateDisplay ()
 Updates the display of given view, as needed. More...
 
unsafe void Zoom (NXOpen.View.ScaleFactor scaleFactor)
 Scales the specified view to a desired relative scale. More...
 
unsafe void ZoomAboutPoint (double relativeScale, NXOpen.Point3d scaleAboutPoint, NXOpen.Point3d viewCenter)
 Scales the specified view such that the given scale_about_point does not move. More...
 
unsafe void ZoomByRectangle (NXOpen.Point3d corner1, NXOpen.Point3d corner2)
 Scales the specified view such that the specified rectangle is as large as possible while being fully contained within the viewport. More...
 
unsafe void ChangePerspective (bool changeViewToPerspective)
 Changes a view from an orthographic view to a perspective view, or from a perspective view to an orthographic view. More...
 
unsafe NXOpen.DisplayableObject[] AskVisibleObjects ()
 Returns an array of objects visible in a view. More...
 
unsafe void UpdateCustomSymbols ()
 Updates custom symbol in a drawing member view or drawing sheet More...
 
unsafe bool HasPreview ()
 Returns whether or not the given view has a preview. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 

Properties

NXOpen.Preferences.ViewVisualizationVisual VisualizationVisualPreferences [get]
 Returns an object to perform all visualization related preferences settings More...
 
NXOpen.Preferences.ViewVisualizationSpecialEffects VisualizationSpecialEffectsPreferences [get]
 Returns an object to perform all visualization Special Effects related preferences settings More...
 
NXOpen.ViewDependentDisplayManager DependentDisplay [get]
 Returns an object to perform all view dependent display operations More...
 
unsafe NXOpen.Point3d AbsoluteOrigin [get]
 Returns the view origin in absolute space. More...
 
unsafe string DisclosurePurpose [get, set]
 Returns or sets the Disclosure Purpose. More...
 
unsafe bool LockRotations [get, set]
 Returns or sets the "Lock Rotations" toggle state of a view. More...
 
unsafe NXOpen.Matrix3x3 Matrix [get]
 Returns the view matrix. More...
 
unsafe NXOpen.Point3d Origin [get]
 Returns the view origin. More...
 
unsafe
NXOpen.View.RenderingStyleType 
RenderingStyle [get, set]
 Returns or sets the rendering style of the view. More...
 
unsafe double Scale [get]
 Returns the view scale. More...
 
unsafe bool SyncViews [get, set]
 Returns or sets the "Synchronized Views" toggle state of a view. More...
 
unsafe bool TriadVisibility [get, set]
 Returns or sets the visibility of the view triad in the view. More...
 
unsafe bool WcsVisibility [get, set]
 Returns or sets the visibility of the WCS in the view. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Detailed Description

Represents a view.

View can be obtained either from NXOpen.ViewCollection or from NXOpen.ModelingViewCollection .

This class is not created directly by the user.

Created in NX3.0.0

Member Enumeration Documentation

Describes a simplified indexing scheme for accessing canned views with interfaces that use this enum as a parameter.

Enumerator
Top 
Front 
Right 
Back 
Bottom 
Left 
Isometric 
Trimetric 

Describes the rendering style for geometry displayed in the view.

Enumerator
ShadedWithEdges 
ShadedWithBodyColorEdges 
Shaded 
WireframeWithDimEdges 
WireframeWithHiddenEdges 
WireframeWithDashedEdges 
Studio 
FaceAnalysis 
PartiallyShaded 
StaticWireframe 

Describes simple, predefined adjustments that may be applied to a view's scale while another operation is performed, in conjunction, on the view.

For more details, refer to those interfaces that use this enum as a parameter.

Enumerator
Fit 
Current 
Saved 

Describes the relative scales to which a view can be set

Enumerator
HalfScale 
DoubleScale 
ReduceScale 

Reduce scale by 10%

IncreaseScale 

Increase scale by 10%

Specifies whether a show or hide operation, or both, has just been done

Enumerator
ShowOnly 
HideOnly 
BothShowAndHide 
InvertShownAndHidden 

Member Function Documentation

unsafe NXOpen.DisplayableObject [] NXOpen.View.AskVisibleObjects ( )

Returns an array of objects visible in a view.

Objects which are hidden, on invisible layers, completely outside the X, Y clip plane bounds, or otherwise considered invisible are not included in the returned array.

Note there are some exceptions. Objects which are not within the front and back clip planes may be returned as visible. When run in batch mode, solids which are occluded by other solids in a hidden line view may be returned as visible.

Created in NX4.0.0

License requirements: None.

Returns
The array of visible objects
unsafe void NXOpen.View.ChangePerspective ( bool  changeViewToPerspective)

Changes a view from an orthographic view to a perspective view, or from a perspective view to an orthographic view.

A request to change an already perspective view to a perspective view is ignored, as is a request to change an already orthographic view to an orthographic view. If the view is a drawing view or a member view on a drawing, the request is ignored.

Created in NX11.0.0

License requirements: None.

Parameters
changeViewToPerspective
unsafe void NXOpen.View.Concatenate ( NXOpen.Point3d  translation)

Concatenates the given translation with the previous viewing transformation of the specified view.

The translation is defined in view space.

In batch mode, the translation of the view is modified, but no display occurs

Created in NX4.0.0

License requirements: None.

Parameters
translationPoint in view space to put at the center of the view
unsafe void NXOpen.View.Concatenate ( double  scale)

Concatenates the given scale with the previous viewing transformation of the specified view.

The scale is applied to the view using the current view origin.

In batch mode, the scale of the view is modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
scaleRelative scale factor
unsafe void NXOpen.View.Concatenate ( NXOpen.Point3d  translation,
double  scale 
)

Concatenates the given translation and scale with the previous viewing transformation of the specified view.

The translation is defined in view space, and conceptually occurs first. Then, the scale is applied to the view using the new view origin. Although this is logically a two step process, only the final result appears in the graphics window.

In batch mode, the translation and scale of the view are modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
translationPoint in view space to put at the center of the view
scaleRelative scale factor
unsafe void NXOpen.View.Concatenate ( NXOpen.Point3d  centerOfRotation,
NXOpen.Vector3d  rotationAxis,
double  angle 
)

Concatenates the given rotation with the previous viewing transformation of the specified view.

First, if a center of rotation is given, a translation occurs to move the center of the view to the center of rotation. Then, the rotation occurs about the center of rotation. Finally, if a center of rotation is being used, the view is translated back to the origin it had upon entering the function. Although this is logically a three step process, only the final result appears in the graphics window.

In batch mode, the rotation of the view is modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
centerOfRotationIf not NULL, this specifies a point in view space about which the view is to be rotated
rotationAxisThe axis to rotate about
angleRotation angle in radians
unsafe void NXOpen.View.Concatenate ( NXOpen.Point3d  translation,
NXOpen.Point3d  centerOfRotation,
NXOpen.Vector3d  rotationAxis,
double  angle 
)

Concatenates the given translation and rotation with the previous viewing transformation of the specified view.

The translation is defined in view space, and conceptually occurs first. Then, if a center of rotation is given, a translation occurs to move the center of the view to the center of rotation. Third, the rotation occurs about the center of rotation. Finally, if a center of rotation is being used, the view is translated back to the origin it had after the translation. Although this is logically a four step process, only the final result appears in the graphics window.

In batch mode, the translation and rotation of the view are modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
translationPoint in view space to put at the center of the view
centerOfRotationIf not NULL, this specifies a point in view space about which the view is to be rotated
rotationAxisThe axis to rotate about
angleRotation angle in radians
unsafe void NXOpen.View.Concatenate ( double  scale,
NXOpen.Point3d  centerOfRotation,
NXOpen.Vector3d  rotationAxis,
double  angle 
)

Concatenates the given scale and rotation with the previous viewing transformation of the specified view.

First, the scale is applied to the view using the current view origin. Then, if a center of rotation is given, a translation occurs to move the center of the view to the center of rotation. Third, the rotation occurs about the center of rotation. Finally, if a center of rotation is being used, the view is translated back to the origin it had upon entering the function. Although this is logically a four step process, only the final result appears in the graphics window.

In batch mode, the scale and rotation of the view are modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
scaleRelative scale factor
centerOfRotationIf not NULL, this specifies a point in view space about which the view is to be rotated
rotationAxisThe axis to rotate about
angleRotation angle in radians
unsafe void NXOpen.View.Concatenate ( NXOpen.Point3d  translation,
double  scale,
NXOpen.Point3d  centerOfRotation,
NXOpen.Vector3d  rotationAxis,
double  angle 
)

Concatenates the given translation, scale and rotation with the previous viewing transformation of the specified view.

The translation is defined in view space, and conceptually occurs first. Then the scale is applied to the view using the newly defined center. Third, a translation occurs to move the center of the view to the center of rotation (if any). Fourth, the rotation occurs about the center of rotation. Finally, if a center of rotation is being used, the view is translated back to its origin as specified by the first argument. Although this is logically a five step process, only the final result appears in the graphics window.

In batch mode, the translation, scale and rotation of the view are modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
translationPoint in view space to put at the center of the view
scaleRelative scale factor
centerOfRotationIf not NULL, this specifies a point in view space about which the view is to be rotated
rotationAxisThe axis to rotate about
angleRotation angle in radians
unsafe void NXOpen.View.Expand ( )

Expands the specified view to fill as much of the layout which contains the view as possible, without changing the aspect ratio of the view.

Other views in the layout are no longer displayed. The view becomes the work view. A view that is not displayed cannot be expanded.

In batch mode, the data for the view is changed to reflect that the view is expanded, but no display occurs.

Created in NX4.0.0

License requirements: None.

unsafe void NXOpen.View.Fit ( )

Adjusts the bounds of a given view so that it fully encompasses the extents of the model geometry.

If the view is displayed, the changes will appear in the display of that view, and, if enabled, the change in the bounds of the view is animated.

In batch mode, the data for the bounds of the view are changed to the adjusted bounds, but no display occurs.

Created in NX3.0.0

License requirements: None.

unsafe void NXOpen.View.FitAfterShowOrHide ( NXOpen.View.ShowOrHideType  type)

Adjusts the bounds of a given view conditionally so that it fully encompasses the extents of the model geometry.

This method is intended to be used only immediately after a show or hide operation has been done. The fit operation is performed only if the "Fit on Show or Hide" option is enabled by NXOpen.Preferences.SessionVisualizationScreen.DoFitOnHideOrShow , and if the work view is not a drawing view. If only a hide operation has been done and a fit would cause the view scale to decrease, the fit will not be done. If the view is displayed, the changes will appear in the display of that view, and, if enabled, the change in the bounds of the view is animated.

In batch mode, the data for the bounds of the view may be changed to the adjusted bounds, if the "Fit on Show or Hide" option is enabled and the other conditions are met, but no display occurs.

Created in NX8.5.0

License requirements: None.

Parameters
typeWhether a Show or Hide or both has been done
unsafe void NXOpen.View.FitToObjects ( NXOpen.IFitTo[]  objects)

Adjusts the bounds of a given view so that it fully encompasses the extents of the given objects.

If the view is displayed, the changes will appear in the display of that view and, if enabled, the change in the bounds of the view is animated.

In batch mode, the data for the bounds of the view are changed to the adjusted bounds, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
objectsThe objects whose display is to be included in the displayed bounds of the view
unsafe NXOpen.Vector3d NXOpen.View.GetAxis ( NXOpen.XYZAxis  xYZAxis)

Returns one of the view axes.

These are the components of the 3x3 matrix which is the rotation of absolute space which results in view space.

Created in NX6.0.0

License requirements: None.

Parameters
xYZAxisWhether to return the X, Y or Z axis
Returns
The X, Y or Z axis of the view
unsafe double NXOpen.View.GetExpandedScale ( )

Returns the view scale, including any expansion factor.

This is intended for use with an expanded view where the process of expanding it may apply a multiplier to the view's inherent scale value. If the view is not expanded, the result should be the same as that obtained with NXOpen.View.Scale .

Created in NX12.0.0

License requirements: None.

Returns
unsafe bool NXOpen.View.HasPreview ( )

Returns whether or not the given view has a preview.

Created in NX11.0.1

License requirements: None.

Returns
True - Model View Preview exists

False - Model View Preview does not exist

unsafe void NXOpen.View.MakeWork ( )

Makes the given view the work view.

The view must be currently displayed. As there must be exactly one work view at any time, the previous work view is no longer the work view.

In batch mode, the given view becomes the work view internally, but no display occurs.

Created in NX4.0.0

License requirements: None.

unsafe void NXOpen.View.Orient ( NXOpen.Matrix3x3  matrix)

Changes the view orientation relative to the specified absolute coordinate system.

If enabled, the change in orientation of the view is animated. A view that is not displayed cannot be oriented.

In batch mode, the orientation of given view is changed internally, but no display occurs.

Created in NX3.0.0

License requirements: None.

Parameters
matrixOrientation relative to the absolute coordinate system. Must be orthonormal.
unsafe void NXOpen.View.Orient ( NXOpen.View.Canned  viewName,
NXOpen.View.ScaleAdjustment  viewScale 
)

Changes the view orientation to a specified canned view.

If enabled, the change in orientation of the view is animated. A view that is not displayed cannot be oriented.

In batch mode, the orientation of given view is changed internally, but no display occurs.

Created in NX3.0.0

License requirements: None.

Parameters
viewNameCanned view name
viewScaleDesired view scale
unsafe void NXOpen.View.Orient ( string  viewName,
NXOpen.View.ScaleAdjustment  viewScale 
)

Changes the view orientation to a specified view.

If enabled, the change in orientation of the view is animated. A view that is not displayed cannot be oriented.

In batch mode, the orientation of given view is changed internally, but no display occurs.

Created in NX3.0.0

License requirements: None.

Parameters
viewNameCustom view name
viewScaleDesired view scale
unsafe void NXOpen.View.Regenerate ( )

Regenerates the display of given view.

The current scale of the view is used to determine the tessalation of curves, facets and software line fonts. The view must be already displayed.

In batch mode, internal state information is reset as if the display were regenerated, but no display occurs.

Created in NX4.0.0

License requirements: None.

unsafe bool NXOpen.View.Restore ( )

Restores a view to its last remembered rotation, scale and translation.

A view that is not displayed cannot be restored. If enabled, the restoration of the view is animated.

In batch mode, internal state information is restored, but no display occurs.

Created in NX3.0.0

License requirements: None.

Returns

Status of restore operation

False - Restore successful

True - No Restore data available

unsafe void NXOpen.View.Rotate ( NXOpen.Matrix3x3  matrix)

Rotates the view by concatenating the given matrix to the existing rotation matrix of the view.

A view that is not displayed cannot be rotated.

In batch mode, the rotation of the view is modified, but no display occurs.

Created in NX3.0.0

License requirements: None.

Parameters
matrixMatrix relative to the absolute coordinate system. Must be orthonormal.
unsafe void NXOpen.View.Rotate ( NXOpen.Point3d  origin,
NXOpen.Vector3d  vector,
double  angle 
)

Rotates the specified view using the specified origin of rotation and about the specified axis.

The origin and the axis are specified in absolute coordinates. A view that is not displayed cannot be rotated.

In batch mode, the rotation of the view is modified, but no display occurs.

Created in NX3.0.0

License requirements: None.

Parameters
originOrigin in absolute space
vectorX,Y,Z components in absolute space
angleAngle in degrees
unsafe void NXOpen.View.SetOrigin ( NXOpen.Point3d  origin)

Moves the given position to the center of the view.

The position is given in absolute coordinates. The scale and rotation of the view are unchanged.

In batch mode, the origin of the view is changed internally, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
originThe new view origin
unsafe void NXOpen.View.SetRotationTranslationScale ( NXOpen.Matrix3x3  rotMatrix,
NXOpen.Point3d  translation,
double  scale 
)

Sets the rotation, translation and scale of the specified view.

The rotation is applied first, about the absolute origin. Then the translation of the "look at" point to the view center is done, then the view is scaled about the view center.

In batch mode, the rotation, translation and scale of the view are modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
rotMatrix3x3 rotation matrix to use for the view - replaces * the existing view rotation matrix (is not * concatenated with it
translationPoint in view space to put at the center of the view
scaleAbsolute scale factor
unsafe void NXOpen.View.SetScale ( double  scale)

Sets the scale of the specified view to the desired scale factor.

In batch mode, the scale of the view is modified, but no display occurs.

Created in NX3.0.0

License requirements: None.

Parameters
scaleAbsolute scale factor
unsafe void NXOpen.View.SnapToClosestCannedOrientation ( )

Changes the orientation of the given view to the orientation of the canned view whose orientation is the closest to that of the given view.

A view that is not displayed cannot be snapped. If enabled, the change in the orientation of the view is animated.

In batch mode, the orientation of the view is changed internally, but no display occurs.

Created in NX4.0.0

License requirements: None.

unsafe void NXOpen.View.SnapToVariantCannedOrientation ( )

Similar to NXOpen.View.SnapToClosestCannedOrientation except it changes the orientation of the given view to the orientation of some canned view "variant" based on I-deas's 'snapview' logic whose orientation is the closest to one of the six orthographic and eight flavors of trimetric views.

In batch mode, the orientation of the view is changed internally, but no display occurs.

Created in NX5.0.0

License requirements: None.

unsafe void NXOpen.View.UpdateCustomSymbols ( )

Updates custom symbol in a drawing member view or drawing sheet

Created in NX8.0.1

License requirements: None.

unsafe void NXOpen.View.UpdateDisplay ( )

Updates the display of given view, as needed.

The current scale of the view is used to determine the tessalation of curves, facets and software line fonts. The view must be already displayed.

In batch mode, internal state information is updated, but no display occurs.

Created in NX4.0.0

License requirements: None.

unsafe void NXOpen.View.Zoom ( NXOpen.View.ScaleFactor  scaleFactor)

Scales the specified view to a desired relative scale.

The "reduce" and "increase" scale options are fixed at 10%. All the scale options provided by NXOpen.View.ScaleFactor have an internal limiting factor. This scale can't be increased or decreased indefinitely. The change in view scale is not animated.

In batch mode, the scale of the view is modified, but no display occurs.

Created in NX3.0.0

License requirements: None.

Parameters
scaleFactorRelative scale factor
unsafe void NXOpen.View.ZoomAboutPoint ( double  relativeScale,
NXOpen.Point3d  scaleAboutPoint,
NXOpen.Point3d  viewCenter 
)

Scales the specified view such that the given scale_about_point does not move.

If the specified scale is extremely small or extremely large, a minimum or maximum scale will be used. These are the same minimum and maximum values as used interactively. The relative_scale will be concatenated to the current scale of the view, so that 1.0 means no change of scale and 2.0 means that the scale of the view will be doubled. The scale_about_point and current_view_center are given in View Space. The view must already be displayed.

In batch mode, the scale and translation of the view are modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
relativeScaleRelative scale [1.0 = no change]
scaleAboutPointThe point to remain stationary, in View Space
viewCenterThe point to be considered as the view center, in View Space. This may be NULL, in which case the current view center is used.
unsafe void NXOpen.View.ZoomByRectangle ( NXOpen.Point3d  corner1,
NXOpen.Point3d  corner2 
)

Scales the specified view such that the specified rectangle is as large as possible while being fully contained within the viewport.

If the rectangle and the viewport do not have the same aspect ratio, the viewport will contain some of the view not within the rectangle. If the rectangle is extremely small or extremely large, a minimum or maximum scale will be used. These are the same minimum and maximum values as used interactively. The two opposite corners of the rectangle are given in View Space. The view must already be displayed. If enabled, the change in the bounds of the view is animated.

In batch mode, the scale and translation of the view are modified, but no display occurs.

Created in NX4.0.0

License requirements: None.

Parameters
corner1One corner of the rectangle, in View Space
corner2The opposite corner of the rectangle, in View Space

Property Documentation

unsafe NXOpen.Point3d NXOpen.View.AbsoluteOrigin
get

Returns the view origin in absolute space.

Created in NX8.5.0

License requirements: None.

NXOpen.ViewDependentDisplayManager NXOpen.View.DependentDisplay
get

Returns an object to perform all view dependent display operations

Created in NX3.0.0

unsafe string NXOpen.View.DisclosurePurpose
getset

Returns or sets the Disclosure Purpose.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.View.LockRotations
getset

Returns or sets the "Lock Rotations" toggle state of a view.

If there is no error, the current toggle state is returned

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Matrix3x3 NXOpen.View.Matrix
get

Returns the view matrix.

This 3x3 orthonormal matrix specifies the rotation from model space to untranslated view space.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.Point3d NXOpen.View.Origin
get

Returns the view origin.

This is the negation of the position in "untranslated view space", which is the coordinate space obtained by multiplying positions in absolute space by the matrix from NXOpen.View.Matrix . Note that the origin in this method is not in the same space as the origin passed to NXOpen.View.Origin , where the input origin is in absolute space.

The position given to this property is the same as the translation used in NXOpen.View.Concatenate and in the other similar concatenate methods.

If you want to get the view origin in absolute space, use NXOpen.View.AbsoluteOrigin

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.View.RenderingStyleType NXOpen.View.RenderingStyle
getset

Returns or sets the rendering style of the view.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.View.Scale
get

Returns the view scale.

Refer to NXOpen.View.GetExpandedScale for obtaining the scale of an expanded view.

Created in NX3.0.0

License requirements: None.

unsafe bool NXOpen.View.SyncViews
getset

Returns or sets the "Synchronized Views" toggle state of a view.

If there is no error, the current toggle state is returned

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.View.TriadVisibility
getset

Returns or sets the visibility of the view triad in the view.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

NXOpen.Preferences.ViewVisualizationSpecialEffects NXOpen.View.VisualizationSpecialEffectsPreferences
get

Returns an object to perform all visualization Special Effects related preferences settings

Created in NX3.0.0

NXOpen.Preferences.ViewVisualizationVisual NXOpen.View.VisualizationVisualPreferences
get

Returns an object to perform all visualization related preferences settings

Created in NX3.0.0

unsafe bool NXOpen.View.WcsVisibility
getset

Returns or sets the visibility of the WCS in the view.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.